diff -r -u xfce-3.8.11.orig/scripts/xfhelp.in xfce-3.8.11/scripts/xfhelp.in
--- xfce-3.8.11.orig/scripts/xfhelp.in      Thu Oct  4 06:39:04 2001
+++ xfce-3.8.11/scripts/xfhelp.in   Wed Nov  7 14:05:44 2001
@@ -46,11 +46,14 @@
 fi
 
 # netscape and mozilla require this command
-if [ "x`basename $BROWSER`" = "xnetscape" -o "x`basename $BROWSER`" =
-"xmozilla" ]
+if [ "x`basename $BROWSER`" = "xnetscape" -o "x`basename $BROWSER`" = "xmozilla" ]
 then
-  $BROWSER -remote openurl\(file:///"$HELP_FILE"\) || $BROWSER
-"$HELP_FILE"
+  if [ `ps -ef | grep -c $BROWSER` -gt 1 ]
+  then
+    $BROWSER -remote openurl\(file:///"$HELP_FILE"\)
+  else
+    $BROWSER "$HELP_FILE"
+  fi
 # opera requires this command
 elif [ "x`basename $BROWSER`" = "opera" ]
 then
diff -r -u xfce-3.8.11.orig/xfmenu/xfmenu.c xfce-3.8.11/xfmenu/xfmenu.c
--- xfce-3.8.11.orig/xfmenu/xfmenu.c    Fri Aug 10 14:34:09 2001
+++ xfce-3.8.11/xfmenu/xfmenu.c Thu Nov  8 10:48:23 2001
@@ -62,7 +62,7 @@
 #endif
 
 #define GMENUPATH "/share/gnome/apps"
-#define KMENUPATH "/share/applnk"
+#define KMENUPATH "/kde/share/applnk"
 
 /*------------------*
  * typedefs 
@@ -240,24 +240,9 @@
       menupath = g_strconcat (kdedir, KMENUPATH, NULL);
       kdedirs = g_list_append (kdedirs, menupath);
     }
-    if (!(kdedir) || (strcmp ("/usr", kdedir) != 0))
-    {
-      menupath = g_strconcat ("/usr", KMENUPATH, NULL);
-      kdedirs = g_list_append (kdedirs, menupath);
-    }
-    if (!(kdedir) || (strcmp ("/usr/local", kdedir) != 0))
-    {
-      menupath = g_strconcat ("/usr/local", KMENUPATH, NULL);
-      kdedirs = g_list_append (kdedirs, menupath);
-    }
-    if (!(kdedir) || (strcmp ("/opt/kde", kdedir) != 0))
+    if (!(kdedir) || (strcmp ("/opt/freeware", kdedir) != 0))
     {
-      menupath = g_strconcat ("/opt/kde", KMENUPATH, NULL);
-      kdedirs = g_list_append (kdedirs, menupath);
-    }
-    if (!(kdedir) || (strcmp ("/opt/kde2", kdedir) != 0))
-    {
-      menupath = g_strconcat ("/opt/kde2", KMENUPATH, NULL);
+      menupath = g_strconcat ("/opt/freeware", KMENUPATH, NULL);
       kdedirs = g_list_append (kdedirs, menupath);
     }
     if (home)
@@ -281,19 +267,9 @@
       menupath = g_strconcat (gnomedir, GMENUPATH, NULL);
       gnomedirs = g_list_append (gnomedirs, menupath);
     }
-    if (!(gnomedir) || (strcmp ("/usr", gnomedir) != 0))
-    {
-      menupath = g_strconcat ("/usr", GMENUPATH, NULL);
-      gnomedirs = g_list_append (gnomedirs, menupath);
-    }
-    if (!(gnomedir) || (strcmp ("/usr/local", gnomedir) != 0))
-    {
-      menupath = g_strconcat ("/usr/local", GMENUPATH, NULL);
-      gnomedirs = g_list_append (gnomedirs, menupath);
-    }
-    if (!(gnomedir) || (strcmp ("/opt/gnome", gnomedir) != 0))
+    if (!(gnomedir) || (strcmp ("/opt/freeware", gnomedir) != 0))
     {
-      menupath = g_strconcat ("/opt/gnome", GMENUPATH, NULL);
+      menupath = g_strconcat ("/opt/freeware", GMENUPATH, NULL);
       gnomedirs = g_list_append (gnomedirs, menupath);
     }
     if (home)
diff -r -u xfce-3.8.11.orig/xfsound/xfplay xfce-3.8.11/xfsound/xfplay
--- xfce-3.8.11.orig/xfsound/xfplay Thu Jul 12 16:45:22 2001
+++ xfce-3.8.11/xfsound/xfplay      Mon Aug 27 20:07:39 2001
@@ -5,4 +5,13 @@
 # exec sox "$1" -t ossdsp /dev/dsp
 # Use "play" that ships with sox to play the file since it can deal
 # with different hardware types....
-exec play "$1"
+# Use UMS if it's an AIX box (and available)
+if [ `echo $OSTYPE | grep -i -c aix` -gt 0 ]
+then
+  if [ -x `which run_ums` ]
+  then
+    exec run_ums audio_play -f "$1" 2>/dev/null
+  fi
+else
+  exec play "$1"
+fi
diff -r -u xfce-3.8.11.orig/xfumed/xfumed_gui_cb.c xfce-3.8.11/xfumed/xfumed_gui_cb.c
--- xfce-3.8.11.orig/xfumed/xfumed_gui_cb.c Thu Oct  4 06:36:42 2001
+++ xfce-3.8.11/xfumed/xfumed_gui_cb.c      Wed Nov  7 16:03:36 2001
@@ -67,10 +67,9 @@
 {
   GtkWidget *quit_dialog;
   char *message = _("There are unsaved changes to the menu.\n\n" "Do you want to save the changes ?");
-  int nbuttons = 3;
-  char *buttons[nbuttons];
+  char *buttons[3];
   int default_button = 1;
-  GtkSignalFunc signal_handlers[nbuttons];
+  GtkSignalFunc signal_handlers[3];
 
   buttons[0] = _("Yes");
   buttons[1] = _("No");
@@ -80,7 +79,7 @@
   signal_handlers[1] = GTK_SIGNAL_FUNC (confirm_quit_yes_without_save);
   signal_handlers[2] = GTK_SIGNAL_FUNC (confirm_quit_no);
 
-  quit_dialog = my_show_dialog (message, nbuttons, buttons, default_button, signal_handlers, xfmenu);
+  quit_dialog = my_show_dialog (message, 3, buttons, default_button, signal_handlers, xfmenu);
   gtk_signal_connect (GTK_OBJECT (quit_dialog), "delete_event", GTK_SIGNAL_FUNC (confirm_quit_no), NULL);
 
   gtk_widget_show (quit_dialog);
@@ -114,10 +113,9 @@
 {
   GtkWidget *delete_dialog;
   char *message;
-  int nbuttons = 2;
-  char *buttons[nbuttons];
+  char *buttons[2];
   int default_button = 2;
-  GtkSignalFunc signal_handlers[nbuttons];
+  GtkSignalFunc signal_handlers[2];
 
   if (GTK_CTREE_ROW (node)->is_leaf)
     message = _("Do you want to delete this entry ?");
@@ -130,7 +128,7 @@
   signal_handlers[1] = GTK_SIGNAL_FUNC (confirm_delete_no);
   signal_handlers[0] = GTK_SIGNAL_FUNC (confirm_delete_yes);
 
-  delete_dialog = my_show_dialog (message, nbuttons, buttons, default_button, signal_handlers, node);
+  delete_dialog = my_show_dialog (message, 2, buttons, default_button, signal_handlers, node);
   gtk_signal_connect (GTK_OBJECT (delete_dialog), "delete_event", GTK_SIGNAL_FUNC (confirm_delete_no), NULL);
 
   gtk_widget_show (delete_dialog);
